# MetricMDNUNMEntropyPotentiallyPrecomputed (ARX GUI Documentation)

org.deidentifier.arx.metric.v2

## Class MetricMDNUNMEntropyPotentiallyPrecomputed

- java.lang.Object
- - org.deidentifier.arx.metric.Metric<AbstractILMultiDimensional>
  - - org.deidentifier.arx.metric.v2.AbstractMetricMultiDimensional
    - - org.deidentifier.arx.metric.v2.AbstractMetricMultiDimensionalPotentiallyPrecomputed
      - - org.deidentifier.arx.metric.v2.MetricMDNUNMEntropyPotentiallyPrecomputed

- All Implemented Interfaces:
    java.io.Serializable

      public class MetricMDNUNMEntropyPotentiallyPrecomputed
      extends AbstractMetricMultiDimensionalPotentiallyPrecomputed

  This class provides an implementation of the non-uniform entropy metric. TODO: Add reference
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.deidentifier.arx.metric.Metric

      `Metric.AggregateFunction`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `MetricMDNUNMEntropyPotentiallyPrecomputed(double threshold)` Creates a new instance.
    `protected` | `MetricMDNUNMEntropyPotentiallyPrecomputed(double threshold, double gsFactor, Metric.AggregateFunction function)` Creates a new instance.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `MetricConfiguration` | `getConfiguration()` Returns the configuration of this metric.
    `boolean` | `isGSFactorSupported()` Returns whether a generalization/suppression factor is supported
    `ElementData` | `render(ARXConfiguration config)` Renders the privacy model
    `java.lang.String` | `toString()` Returns the name of metric.

    - ### Methods inherited from class org.deidentifier.arx.metric.v2.AbstractMetricMultiDimensionalPotentiallyPrecomputed

      `createMaxInformationLoss, createMinInformationLoss, getAggregateFunction, getDefaultMetric, getGeneralizationFactor, getGeneralizationSuppressionFactor, getInformationLossInternal, getInformationLossInternal, getLowerBoundInternal, getLowerBoundInternal, getPrecomputedMetric, getSuppressionFactor, getThreshold, initializeInternal, isIndependent, isPrecomputed`

    - ### Methods inherited from class org.deidentifier.arx.metric.v2.AbstractMetricMultiDimensional

      `createInformationLoss, createInformationLossWithBound, createInformationLossWithoutBound, getAggregateFunctions, getDimensions, getDimensionsAggregated, getDimensionsGeneralized, getError, getMicroaggregationFunctions, getMicroaggregationStartIndex, initialize, setMax, setMin`

    - ### Methods inherited from class org.deidentifier.arx.metric.Metric

      `createAECSMetric, createAECSMetric, createAmbiguityMetric, createDiscernabilityMetric, createDiscernabilityMetric, createEntropyBasedInformationLossMetric, createEntropyBasedInformationLossMetric, createEntropyMetric, createEntropyMetric, createEntropyMetric, createEntropyMetric, createEntropyMetric, createEntropyMetric, createHeightMetric, createHeightMetric, createInstanceOfHighestScore, createInstanceOfLowestScore, createKLDivergenceMetric, createLossMetric, createLossMetric, createLossMetric, createLossMetric, createMetric, createNormalizedEntropyMetric, createNormalizedEntropyMetric, createPrecisionMetric, createPrecisionMetric, createPrecisionMetric, createPrecisionMetric, createPrecisionMetric, createPrecisionMetric, createPrecisionMetric, createPrecisionMetric, createPrecomputedEntropyMetric, createPrecomputedEntropyMetric, createPrecomputedEntropyMetric, createPrecomputedEntropyMetric, createPrecomputedEntropyMetric, createPrecomputedEntropyMetric, createPrecomputedLossMetric, createPrecomputedLossMetric, createPrecomputedLossMetric, createPrecomputedLossMetric, createPrecomputedNormalizedEntropyMetric, createPrecomputedNormalizedEntropyMetric, createPublisherPayoutMetric, createPublisherPayoutMetric, createStaticMetric, createStaticMetric, getDescription, getDescription, getInformationLoss, getInformationLoss, getLowerBound, getLowerBound, getName, getNumRecords, getSubset, initialize, isAbleToHandleMicroaggregation, isMonotonic, isMonotonicWithGeneralization, isMonotonicWithSuppression, isMultiDimensional, isWeighted, list, round`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### MetricMDNUNMEntropyPotentiallyPrecomputed

          protected MetricMDNUNMEntropyPotentiallyPrecomputed(double threshold)

      Creates a new instance. The precomputed variant will be used if #distinctValues / #rows <= threshold for all quasi-identifiers.
      Parameters:
        `threshold` -

    - #### MetricMDNUNMEntropyPotentiallyPrecomputed

          protected MetricMDNUNMEntropyPotentiallyPrecomputed(double threshold,
                                                   double gsFactor,
                                                   Metric.AggregateFunction function)

      Creates a new instance. The pre-computed variant will be used if #distinctValues / #rows <= threshold for all quasi-identifiers.
      Parameters:
        `threshold` -
        `gsFactor` -
        `function` -

  - ### Method Detail

    - #### getConfiguration

          public MetricConfiguration getConfiguration()

      Returns the configuration of this metric.
      Overrides:
        `getConfiguration` in class `Metric<AbstractILMultiDimensional>`
      Returns:

    - #### isGSFactorSupported

          public boolean isGSFactorSupported()

      Description copied from class: `Metric`
      Returns whether a generalization/suppression factor is supported
      Overrides:
        `isGSFactorSupported` in class `Metric<AbstractILMultiDimensional>`
      Returns:

    - #### render

          public ElementData render(ARXConfiguration config)

      Description copied from class: `Metric`
      Renders the privacy model
      Specified by:
        `render` in class `Metric<AbstractILMultiDimensional>`
      Returns:

    - #### toString

          public java.lang.String toString()

      Description copied from class: `Metric`
      Returns the name of metric.
      Overrides:
        `toString` in class `Metric<AbstractILMultiDimensional>`